--- title: customerUpdate - Customer API description: Updates the customer's personal information. api_version: unstable api_name: customer type: mutation api_type: graphql source_url: html: 'https://shopify.dev/docs/api/customer/latest/mutations/customerUpdate' md: 'https://shopify.dev/docs/api/customer/latest/mutations/customerUpdate.md' --- # customer​Update mutation Updates the customer's personal information. ## Arguments * input [Customer​Update​Input!](https://shopify.dev/docs/api/customer/unstable/input-objects/CustomerUpdateInput) required Specifies the input fields for the customer update. *** ## Customer​Update​Payload returns * customer [Customer](https://shopify.dev/docs/api/customer/unstable/objects/Customer) The customer's personal information that has been updated. * user​Errors [\[User​Errors​Customer​User​Errors!\]!](https://shopify.dev/docs/api/customer/unstable/objects/UserErrorsCustomerUserErrors) non-null The list of errors that occurred from executing the mutation. *** ## Examples * ### Updates a customer's first and last name #### Description Update a customer's first and last name #### Query ```graphql mutation customerUpdate($input: CustomerUpdateInput!) { customerUpdate(input: $input) { userErrors { field message } customer { firstName lastName } } } ``` #### Variables ```json { "input": { "firstName": "Quinn", "lastName": "Ishida" } } ``` #### cURL ```bash curl -X POST \ https://your-development-store.myshopify.com/customer/api/unstable/graphql \ -H 'Content-Type: application/json' \ -H 'Authorization: {access_token}' \ -d '{ "query": "mutation customerUpdate($input: CustomerUpdateInput!) { customerUpdate(input: $input) { userErrors { field message } customer { firstName lastName } } }", "variables": { "input": { "firstName": "Quinn", "lastName": "Ishida" } } }' ``` #### Response ```json { "customerUpdate": { "userErrors": [], "customer": { "firstName": "Quinn", "lastName": "Ishida" } } } ``` * ### customerUpdate reference